Show / Hide Table of Contents

# AsyncUpdateSelectedTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncUpdateSelectedTrigger : AsyncTriggerBase<BaseEventData>, IUniTaskAsyncEnumerable<BaseEventData>, IUpdateSelectedHandler

##### Inheritance

System.Object → AsyncTriggerBase<BaseEventData> → AsyncUpdateSelectedTrigger

##### Implements

IUniTaskAsyncEnumerable<BaseEventData>
IUpdateSelectedHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnUpdateSelectedAsyncHandler() |
GetOnUpdateSelectedAsyncHandler(CancellationToken) |
OnUpdateSelectedAsync() |
OnUpdateSelectedAsync(CancellationToken) |

### Methods

#### GetOnUpdateSelectedAsyncHandler()

    public IAsyncOnUpdateSelectedHandler GetOnUpdateSelectedAsyncHandler()

##### Returns

IAsyncOnUpdateSelectedHandler

#### GetOnUpdateSelectedAsyncHandler(CancellationToken)

    public IAsyncOnUpdateSelectedHandler GetOnUpdateSelectedAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnUpdateSelectedHandler

#### OnUpdateSelectedAsync()

    public UniTask<BaseEventData> OnUpdateSelectedAsync()

##### Returns

UniTask<BaseEventData>

#### OnUpdateSelectedAsync(CancellationToken)

    public UniTask<BaseEventData> OnUpdateSelectedAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<BaseEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IUpdateSelectedHandler